/**
 * 版权所有 ©2021 莱欧有限公司
 * 工程名：yearBooks
 * 文件名：ZzySgController.java
 * 创建日期：2021年10月28日 上午11:15:46
 * 作者：mt.W
 */
package com.lion.controller;

import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import com.lion.entity.LoginUserInfo;
import com.lion.entity.ZzySg;
import com.lion.service.ZzySgService;
import com.lion.util.TokenUtil;

import jodd.util.StringUtil;

/**
 * 类描述
 * @author mt.W
 * @since 2021年10月28日
 */
@RestController
@RequestMapping("sg")
public class ZzySgController {

	@Autowired
	private ZzySgService service;
	
	/**
	 * 
	 * 方法描述   查询记录
	 * @author mt.W
	 * @since 2021年10月28日
	 * @param req
	 * @param rows
	 * @param page
	 * @param year
	 * @return
	 */
	@RequestMapping("getRecordList.service")
	public Map<String, Object> getRecordList(HttpServletRequest req,String rows,String page,String year,String orgid){
		if(StringUtil.isEmpty(orgid)){
			orgid = TokenUtil.getUserInfo(req).getOrgid();
		}
		return service.getRecordList(rows, page, year,orgid );
	}
	/**
	 * 
	 * 方法描述  保存记录
	 * @author mt.W
	 * @since 2021年10月28日
	 * @param req
	 * @param n
	 * @return
	 */
	@RequestMapping("saveRecord.service")
	public Map<String,Object> saveRecord(HttpServletRequest req,ZzySg n){
		return service.saveRecord(n, TokenUtil.getUserInfo(req).getUserId(), TokenUtil.getUserInfo(req).getOrgid());
	}
	/**
	 * 
	 * 方法描述   删除记录
	 * @author mt.W
	 * @since 2021年10月28日
	 * @param id
	 * @return
	 */
	@RequestMapping("deleteRecord.service")
	public Map<String,Object> deleteRecord(String id){
		return service.deleteRecord(id);
	}
	/**
	 * 
	 * 方法描述   导出记录
	 * @author mt.W
	 * @since 2021年10月28日
	 * @param req
	 * @param year
	 * @return
	 */
	@RequestMapping("exprotRecord.service")
	public Map<String,Object> exprotRecord(HttpServletRequest req,String year){
		return service.exprotRecord(req, year, TokenUtil.getUserInfo(req).getOrgid());
	}
	/**
	 * 
	 * 方法描述   导入记录
	 * @author mt.W
	 * @since 2021年10月28日
	 * @param req
	 * @param file
	 * @return
	 */
	@RequestMapping("importData.service")
	public Map<String,Object> importData(HttpServletRequest req,@RequestParam("fileElement") MultipartFile file){
		LoginUserInfo user = TokenUtil.getUserInfo(req);
		return service.importData(file, user);
	}
	
	/**
	 * 
	 * 方法描述
	 * @author mt.W
	 * @since 2021年10月30日
	 * @param req
	 * @param dataJson
	 * @return
	 */
	@RequestMapping("saveAddSgInfo.service")
	public Map<String,Object> saveAddSgInfo(HttpServletRequest req,@RequestBody List<ZzySg> dataJson){
		return service.saveAddSgInfo(dataJson, TokenUtil.getUserInfo(req).getOrgid(), TokenUtil.getUserInfo(req).getUserId());
	}
	/**
	 * 
	 * 方法描述   获取合计
	 * @author mt.W 
	 * @since 2021年11月5日
	 * @param req
	 * @param year
	 * @return
	 */
	@RequestMapping("getSumHj.service")
	public Map<String,Object> getSumHj(HttpServletRequest req,String year,String orgid){
		if(StringUtil.isEmpty(orgid)){
			orgid = TokenUtil.getUserInfo(req).getOrgid();
		}
		return service.getSumHj(orgid, year);
	}
}
